<template>
  <select class="region-select">
    <slot></slot>
  </select>
</template>

<script>
import $ from "jquery";
require("selectric");

export default {
  mounted() {
    $(".region-select").selectric({
      disableOnMobile: false,
      nativeOnMobile: false,
      forceRenderBelow: true,
    });
    $(".region-select").on("change", function() {
      var value = $(this)
        .find("option:selected")
        .val();
      window.location.href = value;
    });
  }
};
</script>